org.apache.hadoop.mapred

## Enum JobInProgress.Counter

- java.lang.Object
- - java.lang.Enum<JobInProgress.Counter>
  - - org.apache.hadoop.mapred.JobInProgress.Counter

- All Implemented Interfaces:
    Serializable, Comparable<JobInProgress.Counter>
  Enclosing class:
    JobInProgress

  Deprecated.
  Provided for compatibility. Use `JobCounter` instead.

      @Deprecated
      public static enum JobInProgress.Counter
      extends Enum<JobInProgress.Counter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATA_LOCAL_MAPS` Deprecated.
    `FALLOW_SLOTS_MILLIS_MAPS` Deprecated.
    `FALLOW_SLOTS_MILLIS_REDUCES` Deprecated.
    `NUM_FAILED_MAPS` Deprecated.
    `NUM_FAILED_REDUCES` Deprecated.
    `OTHER_LOCAL_MAPS` Deprecated.
    `RACK_LOCAL_MAPS` Deprecated.
    `SLOTS_MILLIS_MAPS` Deprecated.
    `SLOTS_MILLIS_REDUCES` Deprecated.
    `TOTAL_LAUNCHED_MAPS` Deprecated.
    `TOTAL_LAUNCHED_REDUCES` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobInProgress.Counter` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static JobInProgress.Counter[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUM_FAILED_MAPS

          public static final JobInProgress.Counter NUM_FAILED_MAPS

      Deprecated.

    - #### NUM_FAILED_REDUCES

          public static final JobInProgress.Counter NUM_FAILED_REDUCES

      Deprecated.

    - #### TOTAL_LAUNCHED_MAPS

          public static final JobInProgress.Counter TOTAL_LAUNCHED_MAPS

      Deprecated.

    - #### TOTAL_LAUNCHED_REDUCES

          public static final JobInProgress.Counter TOTAL_LAUNCHED_REDUCES

      Deprecated.

    - #### OTHER_LOCAL_MAPS

          public static final JobInProgress.Counter OTHER_LOCAL_MAPS

      Deprecated.

    - #### DATA_LOCAL_MAPS

          public static final JobInProgress.Counter DATA_LOCAL_MAPS

      Deprecated.

    - #### RACK_LOCAL_MAPS

          public static final JobInProgress.Counter RACK_LOCAL_MAPS

      Deprecated.

    - #### SLOTS_MILLIS_MAPS

          public static final JobInProgress.Counter SLOTS_MILLIS_MAPS

      Deprecated.

    - #### SLOTS_MILLIS_REDUCES

          public static final JobInProgress.Counter SLOTS_MILLIS_REDUCES

      Deprecated.

    - #### FALLOW_SLOTS_MILLIS_MAPS

          public static final JobInProgress.Counter FALLOW_SLOTS_MILLIS_MAPS

      Deprecated.

    - #### FALLOW_SLOTS_MILLIS_REDUCES

          public static final JobInProgress.Counter FALLOW_SLOTS_MILLIS_REDUCES

      Deprecated.

  - ### Method Detail

    - #### values

          public static JobInProgress.Counter[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobInProgress.Counter c : JobInProgress.Counter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobInProgress.Counter valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.